Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class JmxRemoteLifecycleListener

    java.lang.Object
      org.apache.catalina.mbeans.JmxRemoteLifecycleListener

All Implemented Interfaces:
  LifecycleListener

    public class JmxRemoteLifecycleListener

extends java.lang.Object
implements LifecycleListener

This listener fixes the port used by JMX/RMI Server making things much simpler if you need to connect jconsole or similar to a remote Tomcat instance that is running behind a firewall. Only the ports are configured via the listener. The remainder of the configuration is via the standard system properties for configuring JMX.

Nested Class Summary
`static class` | `JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory`

Field Summary
`protected java.lang.String` | `accessFile`
`protected boolean` | `authenticate`
`protected java.lang.String[]` | `ciphers`
`protected boolean` | `clientAuth`
`protected javax.management.remote.JMXConnectorServer` | `csPlatform`
`protected java.lang.String` | `passwordFile`
`protected java.lang.String[]` | `protocols`
`protected int` | `rmiRegistryPortPlatform`
`protected int` | `rmiServerPortPlatform`
`protected boolean` | `rmiSSL`
`protected static StringManager` | `sm` The string resources for this package.
`protected boolean` | `useLocalPorts`

Constructor Summary
`JmxRemoteLifecycleListener()`

Method Summary
`int` | `getRmiRegistryPortPlatform()` Get the port on which the Platform RMI registry is exported.
`int` | `getRmiServerPortPlatform()` Get the port on which the Platform RMI server is exported.
`boolean` | `getUseLocalPorts()` Get the flag that indicates that local ports should be used for all connections.
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)` Set the port on which the Platform RMI registry is exported.
`void` | `setRmiServerPortPlatform(int theRmiServerPortPlatform)` Set the port on which the Platform RMI server is exported.
`void` | `setUseLocalPorts(boolean useLocalPorts)` Set the flag that indicates that local ports should be used for all connections.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  The string resources for this package.

### rmiRegistryPortPlatform

    protected int rmiRegistryPortPlatform

### rmiServerPortPlatform

    protected int rmiServerPortPlatform

### rmiSSL

    protected boolean rmiSSL

### ciphers

    protected java.lang.String[] ciphers

### protocols

    protected java.lang.String[] protocols

### clientAuth

    protected boolean clientAuth

### authenticate

    protected boolean authenticate

### passwordFile

    protected java.lang.String passwordFile

### accessFile

    protected java.lang.String accessFile

### useLocalPorts

    protected boolean useLocalPorts

### csPlatform

    protected javax.management.remote.JMXConnectorServer csPlatform

Constructor Detail

### JmxRemoteLifecycleListener

    public JmxRemoteLifecycleListener()

Method Detail

### getRmiServerPortPlatform

    public int getRmiServerPortPlatform()

  Get the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.

### setRmiServerPortPlatform

    public void setRmiServerPortPlatform(int theRmiServerPortPlatform)

  Set the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.

  Parameters:
    `theRmiServerPortPlatform` - The port number

### getRmiRegistryPortPlatform

    public int getRmiRegistryPortPlatform()

  Get the port on which the Platform RMI registry is exported.

### setRmiRegistryPortPlatform

    public void setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)

  Set the port on which the Platform RMI registry is exported.

  Parameters:
    `theRmiRegistryPortPlatform` - The port number

### getUseLocalPorts

    public boolean getUseLocalPorts()

  Get the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.

### setUseLocalPorts

    public void setUseLocalPorts(boolean useLocalPorts)

  Set the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.

  Parameters:
    `useLocalPorts` - Set to `true` if local ports should be used

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.